// fact.cpp : Defines the entry point for the console application.
//

#include <stdio.h>

int main(int argc, char* argv[])
{
	int total = 1;
	int i, N;
	
	scanf("%d", &N);

	for( i=1; i<=N; i++ )
	{
		total = total * i;
	}

	printf("The %d! is %d.\n", N, total);
	
	return 0;
}

